import React from 'react';

type subTitle = {
    date: string;
    value: number;
};
type DatePickerProps = {
    title?: string;
    value: string;
    numberOfMonth?: number;
    subTitles?: subTitle[];
    isDisabledPast?: boolean;
    onChange: (date: any) => void;
    submitBtnAction?: () => void;
};

declare const DatePicker: React.FC<DatePickerProps>;

export { DatePicker };
