import React from 'react';

type HeaderProps = {
  onNextMonth: () => void;
  onPrevMonth: () => void;
};

const Header: React.FC<HeaderProps> = ({ onNextMonth, onPrevMonth }) => {
  return (
    <div className="calendar__navigation fixed-position">
      <button type="button" onClick={onPrevMonth}>
        Previous
      </button>
      <button type="button" onClick={onNextMonth}>
        Next
      </button>
    </div>
  );
};

export default Header;
